searchData={"items":[{"type":"module","title":"SpanishDoc","doc":"A module to process Spanish NIF/NIE document numbers.","ref":"SpanishDoc.html"},{"type":"function","title":"SpanishDoc.obfuscate/1","doc":"Obfuscate a NIF/NIE document number.","ref":"SpanishDoc.html#obfuscate/1"},{"type":"function","title":"Examples - SpanishDoc.obfuscate/1","doc":"iex> SpanishDoc.obfuscate(\"85033335N\")\n    {:ok, :nif, \"***3333**\"}\n\n    iex> SpanishDoc.obfuscate(\"E90725946\")\n    {:ok, :nif, \"***7259**\"}\n\n    iex> SpanishDoc.obfuscate(\"Y7811422S\")\n    {:ok, :nie, \"****1422*\"}\n\n    iex> SpanishDoc.obfuscate(\"hello\")\n    {:error, \"Document not valid\"}","ref":"SpanishDoc.html#obfuscate/1-examples"},{"type":"function","title":"SpanishDoc.parse/1","doc":"Parses a text representation of a NIF/NIE document number.","ref":"SpanishDoc.html#parse/1"},{"type":"function","title":"Examples - SpanishDoc.parse/1","doc":"iex> SpanishDoc.parse(\"16659622D\")\n    {:ok, :nif, \"16659622D\"}\n\n    iex> SpanishDoc.parse(\"M2919200V\")\n    {:ok, :nif, \"M2919200V\"}\n\n    iex> SpanishDoc.parse(\"Q4978527B\")\n    {:ok, :nif, \"Q4978527B\"}\n\n    iex> SpanishDoc.parse(\"Y6115461M\")\n    {:ok, :nie, \"Y6115461M\"}\n\n    iex> SpanishDoc.parse(\"16.659.622-D\")\n    {:ok, :nif, \"16659622D\"}\n\n    iex> SpanishDoc.parse(\"16659622Z\")\n    {:error, \"Document not valid\"}\n\n    iex> SpanishDoc.parse(\"12345678\")\n    {:error, \"Document not valid\"}\n\n    iex> SpanishDoc.parse(\"hello\")\n    {:error, \"Document not valid\"}","ref":"SpanishDoc.html#parse/1-examples"},{"type":"function","title":"SpanishDoc.valid?/1","doc":"Checks the NIF/NIE document number has a valid NIF/NIE format.","ref":"SpanishDoc.html#valid?/1"},{"type":"function","title":"Examples - SpanishDoc.valid?/1","doc":"iex> SpanishDoc.valid?(\"16659622D\")\n    true\n\n    iex> SpanishDoc.valid?(\"16659622X\")\n    false\n\n    iex> SpanishDoc.valid?(\"error\")\n    false","ref":"SpanishDoc.html#valid?/1-examples"}],"content_type":"text/markdown"}